import { EventEmitter } from '../../stencil-public-runtime';
import { AccordionSizeType } from './constants';
import { AccordionEvent } from "./gov-accordion.types";
export declare class GovAccordion {
    private h;
    private hydrated;
    constructor();
    readonly host: HTMLGovAccordionElement;
    /**
     * Accordion’s size.
     */
    readonly size?: AccordionSizeType;
    /**
     * Accordion item underline
     */
    readonly noBorder: boolean;
    /**
     * Called when the accordion state changes
     */
    govChange: EventEmitter<AccordionEvent>;
    validateSize(newValue: string): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    connectedCallback(): void;
    render(): any;
}
